Bug 152512 - IndexedStoreException on startup
IndexedStoreException on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 17:13 EST by Ben Konrath
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 11:46:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace that shows the problem (8.65 KB, text/plain)
2005-03-29 17:14 EST, Ben Konrath
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 20768 None None None Never

  None (edit)
Description Ben Konrath 2005-03-29 17:13:26 EST
Description of problem:

An IndexedStoreException is thrown on statup. If you start eclipse with
org.eclipse.core.resources.compatibility/compatibility.jar running interpreted,
 then the exception is not thrown. This indicates a compliation bug.

Version-Release number of selected component (if applicable):

eclipse-platform-3.1.0_fc-0.M5.15
gcc-java-4.0.0-0.37

How reproducible:

always

Steps to Reproduce:

run the following when compatibility.jar.so is running natively: 

rm -fr .eclipse workspace-test; eclipse -data workspace-test -consolelog -debug
Comment 1 Ben Konrath 2005-03-29 17:14:50 EST
Created attachment 112434 [details]
stack trace that shows the problem
Comment 2 Andrew Overholt 2005-04-05 14:24:55 EDT
This has been boiled down to a gcj bug.  See below for URL.
Comment 3 Ben Konrath 2005-04-19 11:46:46 EDT
This exception isn't thrown in 3.1M6_fc-0.M6.6. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.